Imports CamadaDTO
Imports CamadaDAL
Public Class EnsaioAmostraResultadoBLL
    Public Function GetTodosEnsaioAmostras() As List(Of EnsaioAmostraResultado)
        Dim db As New EnsaioAmostraResultadoDAL
        Return db.GetEnsaioAmostras
    End Function
    Public Function GetEnsaioAmostrasPorAmostra(ByVal _EnsaioAmostraId As Integer) As EnsaioAmostraResultado
        Dim db As New EnsaioAmostraResultadoDAL
        Return db.GetEnsaioAmostraPorAmostra(_EnsaioAmostraId)
    End Function

    Public Function GetEnsaioAmostrasPorEnsaioIncubacao(ByVal numeroEnsaio As Integer, ByVal numeroIncubacao As String)
        Dim db As New EnsaioAmostraResultadoDAL
        Return db.GetEnsaioAmostrasPorEnsaioIncubacao(numeroEnsaio, numeroIncubacao)
    End Function

    Public Function SalvaAtributo(ByVal _EnsaioAmostra As EnsaioAmostraResultado, ByVal atributo As String, ByVal valorAtributo As String)
        Dim db As New EnsaioAmostraResultadoDAL
        Return db.SalvaAtributo(_EnsaioAmostra, atributo, valorAtributo)
    End Function
    Public Function SalvaAtributoEnsaioAmostra(ByVal numeroEnsaio As Integer, ByVal numeroAmostra As Integer, ByVal campo As String, ByVal resultado As String)
        Dim db As New EnsaioAmostraResultadoDAL
        Return db.SalvaAtributoEnsaioAmostra(numeroEnsaio, numeroAmostra, campo, resultado)
    End Function
    Public Function SalvaEnsaioAmostra(ByVal _EnsaioAmostra As EnsaioAmostraResultado)
        Dim db As New EnsaioAmostraResultadoDAL
        Return db.SalvaEnsaioAmostra(_EnsaioAmostra)
    End Function
    Public Function DeletaEnsaioAmostra(ByVal _EnsaioAmostraId As Integer, ByVal _EnsaioId As Integer)
        Dim db As New EnsaioAmostraResultadoDAL
        Return db.DeletaEnsaioAmostraPorAmostra(_EnsaioAmostraId, _EnsaioId)
    End Function

    Public Function SalvaAtributoEnsaioResultado(ByVal numeroEnsaio As Integer, ByVal NumeroIncubacao As String, ByVal campo As String, ByVal resultado As String)
        Dim db As New EnsaioAmostraResultadoDAL
        Return db.SalvaAtributoEnsaioResultado(numeroEnsaio, NumeroIncubacao, campo, resultado)
    End Function

    Public Function SalvaEnsaioResultadoNova(ByVal numeroEnsaio As Integer, ByVal numeroAmostra As String)
        Dim db As New EnsaioAmostraResultadoDAL
        Return db.SalvaEnsaioResultadoNova(numeroEnsaio, numeroAmostra)
    End Function
End Class
